<!DOCTYPE html>

<html <?php language_attributes(); ?> class="no-js">

<head>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />


	<?php 
		global $data; 
		$favicon = ''; $favicon = $data['favicon'];
		if (empty($favicon)) { $favicon = get_template_directory_uri() .'/images/favicon.ico'; }	
	?>

	<title>
	<?php

		global $page, $paged;

		wp_title( '|', true, 'right' );

		bloginfo( 'name' );

		$site_description = get_bloginfo( 'description', 'display' );
		if ( $site_description && ( is_home() || is_front_page() ) )
			echo " | $site_description";

		if ( $paged >= 2 || $page >= 2 )
			echo ' | ' . sprintf( 'Page %s' , max( $paged, $page ) );

	?>
	</title>
		
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

		<link rel="icon" type="image/png" href="<?php echo $data['favicon'] ?>">
        <link rel="alternate" type="application/rss+xml" title=" بیست اسکریپت &#8211; مرجع دانلود اسکریپت RSS Feed" href="http://www.20script.ir/feed/" />

		<link rel="alternate" type="application/atom+xml" title="<?php bloginfo('name'); ?> Atom Feed" href="<?php bloginfo('atom_url'); ?>" />

		
	<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); ?>

	<?php wp_head(); ?>


	<?php echo  stripText($data['google_analytics']); ?>




	<link rel="root" id="root" type="text/css" href="<?php echo get_template_directory_uri() ?>" >
	<link rel='stylesheet' id="stylesheet" type="text/css" href="" rel="stylesheet" /> 

</head>		
<body <?php body_class(); ?>>


	<header>
	
		<div id="headerwrap" >
		<?php	if (function_exists( 'is_woocommerce' ) ) : ?>
			<?php showTopCart()	?>	
		<?php endif; ?>
			<div id="header">				
			
			<div id="logo">
			
			<?php $logo = $data['logo']; ?>
			<?php if(isset($data['logo']) && $data['logo'] !='') {?>
			<?php $logo = $data['logo']; ?>
				<a href="<?php echo home_url(); ?>"><img src="<?php if ($logo != '') {?><?php echo $logo; ?><?php } else {?><?php get_template_directory_uri(); ?>/images/mercor-logo.png<?php }?>" alt="<?php bloginfo('name'); ?> - <?php bloginfo('description') ?>" /></a>
			<?php } else {?>
				<a href="<?php echo home_url(); ?>"><h1><?php echo get_bloginfo( 'name'); ?></h1></a>
			
			<?php } ?>
			</div>
			<div class="respMenu">
				<?php 
				
				if ( has_nav_menu( 'resp_menu' ) ) {
					$menuParameters =  array(
					  'theme_location' => 'resp_menu', 
					  'walker'         => new Walker_Responsive_Menu(),
					  'echo'            => false,
					  'items_wrap'     => '<form name="menu_selector" method="post" action="#"><select name="url_list" class="event-type-selector-dropdown" onchange="gotosite(this)"><option value="" selected="selected" disabled="disabled">Please select...</option>%3$s</select></form>',
					);
					echo strip_tags(wp_nav_menu( $menuParameters ), '<a>,<select>,<option>' );
				}?>	
			</div>						
		
			<div class="pagenav">
			<?php if ( has_nav_menu( 'main-menu' ) ) {
					 wp_nav_menu( array(
					 'container' =>false,
					 'container_class' => 'menu-header',
					 'theme_location' => 'main-menu',
					 'echo' => true,
					 'fallback_cb' => 'ideo_fallback_menu',
					 'before' => '',
					 'after' => '',
					 'link_before' => '',
					 'link_after' => '',
					 'depth' => 0,
					 'walker' => new description_walker())
					 ); 
				}?>		
			</div>	

			</div>
		</div>
					
	</header>			
		

